﻿using System;
using Newtonsoft.Json.Linq;

namespace FarmmapsKPI.Models
{
    public class KPIOutput
    {
        public string id { get; set; }
        public KPIOutputData data { get; set; }
        public string type { get; set; }
        public string unit { get; set; }
        public string value { get; set; }
        public string duration { get; set; }
        public string quantity { get; set; }
        public string parentName { get; set; }
        public string targetValue { get; set; }
        public string thresholdValue { get; set; }
    }
    public class KPIOutputData
    {
        public string area { get; set; }
        public string cropTypeCode { get; set; }
        public string cropTypeName { get; set; }
        public KPIenvironmentMeasureData[] environmentMeasureData { get; set; }

    }
    public class KPIenvironmentMeasureData
    {
        public string date { get; set; }
        public string productCode { get; set; }
        public string productName { get; set; }
        public string quantity { get; set; }
        public string unitCode { get; set; }
        public string soilLife { get; set; }
        public string aquaticLife { get; set; }
        public string groundWater { get; set; }
    }
}